package com.sooka.sponest.monitor.LabelManagement.service;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.monitor.LabelManagement.domain.CentermonitorCamera;
import com.sooka.sponest.monitor.LabelManagement.domain.CentermonitorSetLabel;

import java.util.List;

public interface CentermonitorSetLabelService {

    /**
     * 查询标签
     *
     */
    List<CentermonitorSetLabel> getLabel(CentermonitorSetLabel centermonitorSetLabel);

    /**
     * 新增标签
     *
     */
    AjaxResult addLabel(CentermonitorSetLabel centermonitorSetLabel);

    /**
     * 修改标签
     */
    AjaxResult UpdateLabel(CentermonitorSetLabel centermonitorSetLabel);

    /**
     * 查询设置标签修改页
     */
    public CentermonitorSetLabel getLabels(Integer id);
    /**
     * 设置标签页删除
     */
    AjaxResult deletelabel(Integer id);

    /**
     * 设置标签页查询
     */
    List<CentermonitorSetLabel> Searchtags(String name);

    /**
     * 查询摄像头列表
     */
    List<CentermonitorSetLabel> getdevice(CentermonitorSetLabel centermonitorSetLabel);

    AjaxResult addCamera(CentermonitorCamera centermonitorCamera);

    List<CentermonitorSetLabel> getCameraByLabelId(CentermonitorSetLabel centermonitorSetLabel);

    Integer removeCameraByLabelId(CentermonitorSetLabel centermonitorSetLabel);

    /**
     * 查询全部标签
     */
    List<CentermonitorSetLabel> queryLabels(CentermonitorSetLabel centermonitorSetLabel);

    int updatePresetPoint(CentermonitorSetLabel centermonitorSetLabel);

    CentermonitorSetLabel getCameraByIdAndDeviceId(CentermonitorSetLabel centermonitorSetLabel);
}

